package cn.iselab.mooctest.user.service.impl;

import cn.iselab.mooctest.user.mapper.User2IntegralDao;
import cn.iselab.mooctest.user.mapper.UserIntegralMapper;
import cn.iselab.mooctest.user.service.IntegralService;
import org.junit.Before;
import org.junit.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

/**
 * @Author ROKG
 * @Description
 * @Date: Created in 下午11:03 2018/2/13
 * @Modified By:
 */
public class IntegralServiceImplTest {

    @InjectMocks
    IntegralService integralService=new IntegralServiceImpl();

    @Mock
    User2IntegralDao user2IntegralDao;

    @Mock
    UserIntegralMapper userIntegralMapper;

    @Before
    public void setUp() throws Exception {
    }

    @Test
    public void findByUserId() throws Exception {
    }

    @Test
    public void saveIntegral() throws Exception {
    }

    @Test
    public void findPage() throws Exception {
    }

    @Test
    public void findByTime() throws Exception {
    }

    @Test
    public void saveUser2Integral() throws Exception {
    }

}